aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Deutschmann <whissi@gentoo.org>2019-08-30 22:30:41 +0200
committerThomas Deutschmann <whissi@gentoo.org>2019-08-30 23:04:25 +0200
commit115571d97d3cbbd281ae233fdfff75c08c8b31da (patch)
treedf2ce9fefa064c381999279b971100f2e7b7df1a
parentRecord disk usage for each package/component (diff)
downloadgenkernel-115571d9.tar.gz
genkernel-115571d9.tar.bz2
genkernel-115571d9.zip
gkbuild.sh: _gkbuild_main(): Make use of get_tar_cmd()v4.0.0_beta15
This will allow us to use pxz when available. Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
-rw-r--r--worker_modules/gkbuild.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/worker_modules/gkbuild.sh b/worker_modules/gkbuild.sh
index 213597a..cb2f385 100644
--- a/worker_modules/gkbuild.sh
+++ b/worker_modules/gkbuild.sh
@@ -181,8 +181,11 @@ _gkbuild_main() {
unset found_dyn_files
fi
- "${TAR_COMMAND}" -caf "${GKPKG_BINPKG}" . \
- || die "Failed to create binpkg of ${P} in '${GKPKG_BINPKG}'!"
+ local -a tar_cmd=( "$(get_tar_cmd "${GKPKG_BINPKG}")" )
+ tar_cmd+=( '.' )
+
+ print_info 3 "COMMAND: ${tar_cmd[*]}" 1 0 1
+ eval "${tar_cmd[@]}" || die "Failed to create binpkg of ${P} in '${GKPKG_BINPKG}'!"
if [ -n "${DU_COMMAND}" ]
then